Page MenuHomePhabricator

Generate fake data for Dash/CiviCRM
Closed, ResolvedPublic1 Story Points

Event Timeline

atgo created this task.Jun 9 2015, 10:20 PM
atgo assigned this task to cwdent.
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo moved this task from Backlog to Up Next on the Fundraising Dash board.
atgo set Security to None.
atgo moved this task from Backlog to Doing on the Fundraising Sprint Lou Reed board.
atgo added subscribers: DStrine, Jgreen, Ejegg and 3 others.

-- this file can be uploaded via civi as filetype engage

-- this can be run after the above step to generate impression data

not going to be the most convincing data to people who look at it every day but probably a good starting point

cwdent edited a custom field.
awight added a subscriber: awight.Jun 24 2015, 11:59 PM

Awesome. The only tweak I would suggest is to make the data slightly less realistic. It may cause occasional panic attacks unless the name is like "Rupert TESTES Rupertson".

Not sure where we should deploy this, sounds fine to check into the CRM repo, maybe you can create a new module for this stuff, we can eventually expand it into a more featured test data generator, and exclude from the production branch.

easy as /\(Corporate Gift,[^ ]* \)/\1TEST /

i just put them in a test_data dir for now, lmk if that looks ok, and let's do talk about a proper testing module

https://gerrit.wikimedia.org/r/#/c/220778/

awight closed this task as Resolved.Jun 26 2015, 7:26 PM
awight moved this task from Pending Deployment to Done on the Fundraising Sprint N*E*R*D board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM